import request from '@/utils/request'

// 查询APS资源每日占用记录列表
export function listOccupancy(query) {
  return request({
    url: '/aps_resource_occupancy/occupancy/list',
    method: 'get',
    params: query
  })
}

// 查询APS资源每日占用记录详细
export function getOccupancy(sequenceId) {
  return request({
    url: '/aps_resource_occupancy/occupancy/' + sequenceId,
    method: 'get'
  })
}

// 新增APS资源每日占用记录
export function addOccupancy(data) {
  return request({
    url: '/aps_resource_occupancy/occupancy',
    method: 'post',
    data: data
  })
}

// 修改APS资源每日占用记录
export function updateOccupancy(data) {
  return request({
    url: '/aps_resource_occupancy/occupancy',
    method: 'put',
    data: data
  })
}

// 删除APS资源每日占用记录
export function delOccupancy(sequenceId) {
  return request({
    url: '/aps_resource_occupancy/occupancy/' + sequenceId,
    method: 'delete'
  })
}
